Typo gem cannot be installed with JRuby

Installing Typo gem using JRuby gives:

– cut here –
JRuby limited openssl loaded. gem install jruby-openssl for full
support.
http://wiki.jruby.org/wiki/JRuby_Builtin_OpenSSL
Building native extensions. This could take a while…
/Users/arungupta/tools/rails20/jruby-1.1.3/lib/ruby/1.8/mkmf.rb:7: JRuby
does not support native extensions. Check wiki.jruby.org for
alternatives. (NotImplementedError)
from
/Users/arungupta/tools/rails20/jruby-1.1.3/lib/ruby/1.8/mkmf.rb:1:in
`require’
from extconf.rb:1
ERROR: Error installing typo:
ERROR: Failed to build gem native extension.

/Users/arungupta/tools/rails20/jruby-1.1.3/bin/jruby extconf.rb install
typo

Gem files will remain installed in
/Users/arungupta/tools/rails20/jruby-1.1.3/lib/ruby/gems/1.8/gems/mysql-2.7
for inspection.
Results logged to
/Users/arungupta/tools/rails20/jruby-1.1.3/lib/ruby/gems/1.8/gems/mysql-2.7/gem_make.out
– cut here –

Any plans to port the native extension so that Typo can be run on JRuby
?

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs